declare module '*.png'
declare module '*.jpg'
declare module '*.jpeg'
declare module '*.svg'
declare module '*.gif'
declare module '*.webp'
declare module '*.ico'
declare module '*.css'
declare module '*.scss'

declare module 'react-use-flexsearch' {
  export function useFlexSearch(
    query: string | null,
    index: string,
    store: Record<string, unknown>
  ): Array<Record<string, unknown>>
}

declare module '@browniebroke/gatsby-image-gallery' {
  import * as React from 'react'
  const Gallery: React.FC<
    Record<string, unknown> & { images: Array<Record<string, unknown>> }
  >
  export default Gallery
}
